Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.xsd
Class XsdLexicon

    java.lang.Object
      org.modeshape.sequencer.xsd.XsdLexicon

    @Immutable
    public class XsdLexicon

extends Object

A lexicon of names used within the XSD sequencer.

Nested Class Summary
`static class` | `XsdLexicon.Namespace`

Field Summary
`static Name` | `ABSTRACT`
`static Name` | `ALL`
`static Name` | `ANNOTATION`
`static Name` | `ANY_ATTRIBUTE`
`static Name` | `ATTRIBUTE_DECLARATION`
`static Name` | `ATTRIBUTE_GROUP`
`static Name` | `BASE_TYPE_NAME`
`static Name` | `BASE_TYPE_NAMESPACE`
`static Name` | `BASE_TYPE_REFERENCE`
`static Name` | `BLOCK`
`static Name` | `CHOICE`
`static Name` | `COMPLEX_CONTENT`
`static Name` | `COMPLEX_TYPE`
`static Name` | `COMPLEX_TYPE_CONTENT`
`static Name` | `COMPLEX_TYPE_DEFINITION`
`static Name` | `ELEMENT_DECLARATION`
`static Name` | `ENUMERATED_VALUES`
`static Name` | `FINAL`
`static Name` | `FORM`
`static Name` | `FRACTION_DIGITS`
`static Name` | `ID`
`static Name` | `IMPORT`
`static Name` | `IMPORTED_XSDS`
`static Name` | `INCLUDE`
`static Name` | `INCLUDED_XSDS`
`static Name` | `MAX_LENGTH`
`static Name` | `MAX_OCCURS`
`static Name` | `MAX_OCCURS_UNBOUNDED`
`static Name` | `MAX_VALUE_EXCLUSIVE`
`static Name` | `MAX_VALUE_INCLUSIVE`
`static Name` | `METHOD`
`static Name` | `MIN_LENGTH`
`static Name` | `MIN_OCCURS`
`static Name` | `MIN_VALUE_EXCLUSIVE`
`static Name` | `MIN_VALUE_INCLUSIVE`
`static Name` | `MIXED`
`static Name` | `NAMESPACE`
`static Name` | `NC_NAME`
`static Name` | `NILLABLE`
`static Name` | `PATTERN`
`static Name` | `PROCESS_CONTENTS`
`static Name` | `REDEFINE`
`static Name` | `REDEFINED_XSDS`
`static Name` | `REF`
`static Name` | `REF_NAME`
`static Name` | `REF_NAMESPACE`
`static Name` | `SCHEMA_DOCUMENT`
`static Name` | `SCHEMA_LOCATION`
`static Name` | `SEQUENCE`
`static Name` | `SIMPLE_CONTENT`
`static Name` | `SIMPLE_TYPE`
`static Name` | `SIMPLE_TYPE_DEFINITION`
`static Name` | `TOTAL_DIGITS`
`static Name` | `TYPE_NAME`
`static Name` | `TYPE_NAMESPACE`
`static Name` | `TYPE_REFERENCE`
`static Name` | `USE`
`static Name` | `WHITESPACE`

Constructor Summary
`XsdLexicon()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCHEMA_DOCUMENT

    public static final Name SCHEMA_DOCUMENT

### COMPLEX_TYPE_DEFINITION

    public static final Name COMPLEX_TYPE_DEFINITION

### SIMPLE_TYPE_DEFINITION

    public static final Name SIMPLE_TYPE_DEFINITION

### ATTRIBUTE_DECLARATION

    public static final Name ATTRIBUTE_DECLARATION

### ELEMENT_DECLARATION

    public static final Name ELEMENT_DECLARATION

### IMPORT

    public static final Name IMPORT

### INCLUDE

    public static final Name INCLUDE

### REDEFINE

    public static final Name REDEFINE

### ATTRIBUTE_GROUP

    public static final Name ATTRIBUTE_GROUP

### ANY_ATTRIBUTE

    public static final Name ANY_ATTRIBUTE

### ALL

    public static final Name ALL

### CHOICE

    public static final Name CHOICE

### SEQUENCE

    public static final Name SEQUENCE

### SIMPLE_CONTENT

    public static final Name SIMPLE_CONTENT

### COMPLEX_CONTENT

    public static final Name COMPLEX_CONTENT

### COMPLEX_TYPE_CONTENT

    public static final Name COMPLEX_TYPE_CONTENT

### ANNOTATION

    public static final Name ANNOTATION

### IMPORTED_XSDS

    public static final Name IMPORTED_XSDS

### INCLUDED_XSDS

    public static final Name INCLUDED_XSDS

### REDEFINED_XSDS

    public static final Name REDEFINED_XSDS

### NC_NAME

    public static final Name NC_NAME

### NAMESPACE

    public static final Name NAMESPACE

### TYPE_NAME

    public static final Name TYPE_NAME

### TYPE_NAMESPACE

    public static final Name TYPE_NAMESPACE

### TYPE_REFERENCE

    public static final Name TYPE_REFERENCE

### BASE_TYPE_REFERENCE

    public static final Name BASE_TYPE_REFERENCE

### BASE_TYPE_NAME

    public static final Name BASE_TYPE_NAME

### BASE_TYPE_NAMESPACE

    public static final Name BASE_TYPE_NAMESPACE

### SCHEMA_LOCATION

    public static final Name SCHEMA_LOCATION

### REF_NAMESPACE

    public static final Name REF_NAMESPACE

### REF_NAME

    public static final Name REF_NAME

### REF

    public static final Name REF

### METHOD

    public static final Name METHOD

### MIN_OCCURS

    public static final Name MIN_OCCURS

### MAX_OCCURS

    public static final Name MAX_OCCURS

### MAX_OCCURS_UNBOUNDED

    public static final Name MAX_OCCURS_UNBOUNDED

### MAX_LENGTH

    public static final Name MAX_LENGTH

### MIN_LENGTH

    public static final Name MIN_LENGTH

### ENUMERATED_VALUES

    public static final Name ENUMERATED_VALUES

### WHITESPACE

    public static final Name WHITESPACE

### MAX_VALUE_EXCLUSIVE

    public static final Name MAX_VALUE_EXCLUSIVE

### MIN_VALUE_EXCLUSIVE

    public static final Name MIN_VALUE_EXCLUSIVE

### MAX_VALUE_INCLUSIVE

    public static final Name MAX_VALUE_INCLUSIVE

### MIN_VALUE_INCLUSIVE

    public static final Name MIN_VALUE_INCLUSIVE

### TOTAL_DIGITS

    public static final Name TOTAL_DIGITS

### FRACTION_DIGITS

    public static final Name FRACTION_DIGITS

### PATTERN

    public static final Name PATTERN

### FINAL

    public static final Name FINAL

### BLOCK

    public static final Name BLOCK

### ABSTRACT

    public static final Name ABSTRACT

### MIXED

    public static final Name MIXED

### NILLABLE

    public static final Name NILLABLE

### USE

    public static final Name USE

### PROCESS_CONTENTS

    public static final Name PROCESS_CONTENTS

### FORM

    public static final Name FORM

### ID

    public static final Name ID

### COMPLEX_TYPE

    public static final Name COMPLEX_TYPE

### SIMPLE_TYPE

    public static final Name SIMPLE_TYPE

Constructor Detail

### XsdLexicon

    public XsdLexicon()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.